function clientSideInclude(id, url) 
{
	
  var req = false;

  try {
	  req = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (e) {
	  try {
		req = new ActiveXObject("Microsoft.XMLHTTP");
	  } catch (e) {
		req = false;
	  }
	}

 var element = document.getElementById(id);
 if (!element) {
  alert("Bad id " + id +
   "passed to clientSideInclude." +
   "You need a div or span element " +
   "with this id in your page.");
  return false;
 }
 
  if (req) {
	// Synchronous request, wait till we have it all
	req.open('GET', url, false);
	req.send(null);
	element.innerHTML = req.responseText;
  } else {
	element.innerHTML =
   "Sorry, your browser does not support " +
	  "XMLHTTPRequest objects. This page requires " +
	  "Internet Explorer 5 or better for Windows, " +
	  "or Firefox for any system, or Safari. Other " +
	  "compatible browsers may also exist.";
	  return false;
  }
  
  return true;
}
var interval;
function loadmain()
{
	if(clientSideInclude('mainContent', 'http://static.toomkygames.com/widget/'))
		clearInterval(interval);
	else
	{
		clearInterval(interval);
		startLoadingMain(60000);	
	}
}

function loadflyout()
{
	if(clientSideInclude('flyoutContent', 'http://static.toomkygames.com/widget/preview'))
		clearInterval(interval);
	else
	{
		clearInterval(interval);
		startLoadingFlyout(60000);	
	}
}

function startLoadingMain(delay)
{
	interval=setInterval(loadmain,delay);
}

function startLoadingFlyout(delay)
{
	interval=setInterval(loadflyout,delay);
}